---
features:
  secondary:
  - name: "Hide application secrets"
    available_in: [core, premium, ultimate]
    gitlab_com: false
    documentation_link: 'https://docs.gitlab.com/ee/integration/oauth_provider.html'
    image_url: '/images/unreleased/download_secret.png'
    reporter: ogolowinski
    stage: manage
    categories: [Authentication and Authorization]
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/332844'
    description: |
      Previously, the **Secret** field was visible in the GitLab UI on an application's configuration page. To improve security, we have hidden this field from the UI and added a copy button. You can then copy the secret and store it in a secured location. This makes sure the secret is not visible in clear text for anyone looking at the screen.
